
QGIS Application - Feature request #9797

Add a precision setting for GetFeatureInfo geometry attributes

2014-03-17 04:21 AM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee: René-Luc ReLuc

Category: QGIS Server

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 18337

Description

I believe we could cut bandwidth by half by cutting decimal places from GetFeatureInfo geometry.

For example, I'm working in meters and I get 18 decimal figures, this is far less than the diameter of an atom.

Of course this feature should be user-configurable in ows settings.

Related issues:

Related to QGIS Application - Bug report # 9896: WMS GetFeatureInfo search ra... Open 2014-03-26

Related to QGIS Application - Bug report # 10974: QGIS WFS Server provides to... Closed 2014-07-29

History

#1 - 2014-08-09 08:23 AM - René-Luc ReLuc

- Pull Request or Patch supplied changed from No to Yes

- Assignee set to René-Luc ReLuc

- Target version set to Future Release - High Priority

Patch supplied in this pull request https://github.com/qgis/QGIS/pull/1520

#2 - 2014-08-14 10:17 AM - Alessandro Pasotti

- Status changed from Open to In Progress

Please also see my PR https://github.com/qgis/QGIS/pull/1539 which adds GUI config option and stores the precision to the project file.

#3 - 2014-08-22 06:54 AM - René-Luc ReLuc

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Commit merged in the pull request https://github.com/qgis/QGIS/pull/1520 and next in master.
